## org.apache.lucene.benchmark.stats
Class QueryData

    java.lang.Object
      org.apache.lucene.benchmark.stats.QueryData

    public class QueryData

extends java.lang.Object

This class holds parameters for a query benchmark.

Field Summary
`java.lang.String` `id` Benchmark id
`Query` `q` Lucene query
`boolean` `reopen` If true, re-open index reader before benchmark.
`boolean` `retrieve` If true, actually retrieve documents returned in Hits.
`boolean` `warmup` If true, warm-up the index reader before searching by sequentially retrieving all documents from index.

Constructor Summary
`QueryData()`

Method Summary
`static QueryData[]` `getAll(Query[] queries)` Prepare a list of benchmark data, using all possible combinations of benchmark parameters.
`static java.lang.String` `getLabels()` Short legend for interpreting toString() output.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Benchmark id

### q

    public Query q

  Lucene query

### reopen

    public boolean reopen

  If true, re-open index reader before benchmark.

### warmup

    public boolean warmup

  If true, warm-up the index reader before searching by sequentially retrieving all documents from index.

### retrieve

    public boolean retrieve

  If true, actually retrieve documents returned in Hits.

Constructor Detail

### QueryData

    public QueryData()

Method Detail

### getAll

    public static QueryData[] getAll(Query[] queries)

  Prepare a list of benchmark data, using all possible combinations of benchmark parameters.

  Parameters:
    `queries` - source Lucene queries
  Returns:
    The QueryData

### getLabels

    public static java.lang.String getLabels()

  Short legend for interpreting toString() output.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.